/commitments/{commitmentId}

Updates or cancels an existing recurring commitment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

Accepts an ID of a standard, existing Commitment object, with any of the non-read-only properties set.

You can currently:

  1. Cancel a commitment
  2. Update the next transaction date
  3. Update the commitment amount
  4. Update the commitment end date

Please note that you cannot update a commitment you are attempting to cancel. The cancellation will be processed first, and any other changes will be ignored.

If a commitment is currently in a Failing status, the next payment date and status are not editable. When the amount of a commitment is changed while it is in a Failing status, the new amount will be used for the next installment processing attempt, regardless of whether the next scheduled attempt is an upcoming installment contribution or an automatic retry of a prior installment which failed to process. Commitments that reach their end date while failing will have a final status of Completed rather than Failed.

The next transaction date may be changed for all commitment frequencies that do not charge on a set schedule, i.e. all but Quarterly and Twice Monthly. To change the next transaction date for a recurring commitment, the new date:

  • Must be at least one day in the future
  • Must be less than one year in the future
  • Must be before the end date of the commitment

A new amount must be between $0.01 and $999,999.99

PATCH /commitments/543456
{
  "status": "InactiveCancelled"
}

OR

PATCH /commitments/543456
{
  "nextTransactionDate": "2020-11-04",
  "amount": "35.00"
}
Path Params
int32
required
Defaults to 222

Required; Unique commitment identifier available in the current context

Body Params
string
enum
Defaults to Active

The status of the commitment

Allowed:
date
Defaults to 2025-01-01
double
Defaults to 10.5

Decimal monetary amount of each Recurring Commitment installment. Must be between $0.01 and $999,999.99 inclusive, unless disclosure fields are enabled, in which case all positive or negative values are allowed. May not have more than 2 digits after the decimal point.

date
Defaults to 2026-01-01

The date upon which no further installments of the Recurring Commitment should be processed.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json